## r-cran-svmisc 1.2.3

=== DESCRIPTION ===
Package: svMisc
Type: Package
Version: 1.2.3
Date: 2021-10-11
Title: 'SciViews' - Miscellaneous Functions
Description: Miscellaneous functions for 'SciViews' or general use: manage a
  temporary environment attached to the search path for temporary variables you
  do not want to save() or load(), test if 'Aqua', 'Mac', 'Win', ... Show
  progress bar, etc.
Authors@R: c(person("Philippe", "Grosjean", role = c("aut", "cre"),
  email = "phgrosjean@sciviews.org",
  comment = c(ORCID = "0000-0002-2694-9471")),
  person("Romain", "Francois", role = "ctb",
  email = "romain@r-enthusiasts.com"),
  person("Kamil", "Barton", role = "ctb",
  email = "kamil.barton@uni-wuerzburg.de"))
Maintainer: Philippe Grosjean <phgrosjean@sciviews.org>
Depends: R (>= 2.13.0)
Imports: utils, methods, stats, tools
Suggests: rJava, tcltk, covr, knitr, markdown, rmarkdown, testthat,
        spelling
License: GPL-2
URL: https://github.com/SciViews/svMisc,
        https://www.sciviews.org/svMisc/
BugReports: https://github.com/SciViews/svMisc/issues
RoxygenNote: 7.1.1
VignetteBuilder: knitr
Encoding: UTF-8
Language: en-US
NeedsCompilation: no
Packaged: 2021-10-11 16:48:40 UTC; phgrosjean
Author: Philippe Grosjean [aut, cre] (<https://orcid.org/0000-0002-2694-9471>),
  Romain Francois [ctb],
  Kamil Barton [ctb]
Repository: CRAN
Date/Publication: 2021-10-11 17:20:01 UTC

## r-cran-svmisc 1.1.4

=== debian/changelog ===
r-cran-svmisc (1.1.4-1) unstable; urgency=medium

  * New upstream version
  * Set upstream metadata fields: Archive, Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Nilesh Patra <nilesh@debian.org>  Wed, 28 Apr 2021 22:09:32 +0530

r-cran-svmisc (1.1.0-2) unstable; urgency=medium

  * Source-only upload for testing migration.

 -- Nilesh Patra <nilesh@debian.org>  Wed, 14 Apr 2021 21:37:28 +0530

r-cran-svmisc (1.1.0-1) unstable; urgency=medium

  * Initial release (closes: #986039)

 -- Nilesh Patra <nilesh@debian.org>  Sun, 28 Mar 2021 18:02:36 +0530

=== debian/control ===
Source: r-cran-svmisc
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Nilesh Patra <nilesh@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev
Standards-Version: 4.5.1
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-svmisc
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-svmisc.git
Homepage: https://cran.r-project.org/package=svMisc
Rules-Requires-Root: no

Package: r-cran-svmisc
Architecture: all
Depends: ${R:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: SciViews - Miscellaneous Functions
 Miscellaneous functions for SciViews or general use: manage a
 temporary environment attached to the search path for temporary variables you
 do not want to save() or load(), test if Aqua, Mac, Win, ... Show progress
 bar, etc.

## r-cran-svmisc 1.2.3

=== debian/changelog ===
r-cran-svmisc (1.2.3-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.0 (routine-update)

 -- Nilesh Patra <nilesh@debian.org>  Fri, 22 Oct 2021 15:44:52 +0000

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-svmisc
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-svmisc.git
 Homepage: https://cran.r-project.org/package=svMisc

=== debian/watch ===
version=4
https://cloud.r-project.org/src/contrib/svMisc_([-\d.]*)\.tar\.gz

## r-cran-svmisc 1.4.3

=== DESCRIPTION ===
Package: svMisc
Type: Package
Version: 1.4.3
Title: Miscellaneous Functions for 'SciViews::R'
Description: Functions required for the 'SciViews::R' dialect or for general
  use: manage a temporary environment attached to the search path, define
  synonyms for R functions using aka(), test if 'Aqua', 'Mac', 'Win' ... Show
  progress bar, etc.
Authors@R: c(
  person("Philippe", "Grosjean", role = c("aut", "cre"),
    email = "phgrosjean@sciviews.org",
    comment = c(ORCID = "0000-0002-2694-9471")),
  person("Romain", "Francois", role = "ctb",
    email = "romain@r-enthusiasts.com"),
  person("Kamil", "Barton", role = "ctb",
    email = "kamil.barton@uni-wuerzburg.de"))
Maintainer: Philippe Grosjean <phgrosjean@sciviews.org>
Depends: R (>= 4.2.0)
Imports: cli (>= 3.6.1), methods (>= 4.2.0), rlang (>= 1.1.1), stats
        (>= 4.2.0), tools (>= 4.2.0), utils (>= 4.2.0)
Suggests: tcltk (>= 4.2.0), knitr (>= 1.42), rmarkdown (>= 2.21),
        spelling (>= 2.2.1), testthat (>= 3.0.0)
License: GPL-2
URL: https://github.com/SciViews/svMisc,
        https://www.sciviews.org/svMisc/
BugReports: https://github.com/SciViews/svMisc/issues
RoxygenNote: 7.3.1
VignetteBuilder: knitr
Encoding: UTF-8
Language: en-US
ByteCompile: yes
Config/testthat/edition: 3
NeedsCompilation: no
Packaged: 2024-11-14 11:18:38 UTC; phgrosjean
Author: Philippe Grosjean [aut, cre] (<https://orcid.org/0000-0002-2694-9471>),
  Romain Francois [ctb],
  Kamil Barton [ctb]
Repository: CRAN
Date/Publication: 2024-11-14 15:30:05 UTC

=== debian/changelog ===
r-cran-svmisc (1.4.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.0 (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)

 -- Charles Plessy <plessy@debian.org>  Tue, 21 Jan 2025 08:38:43 +0900

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,19 @@
 Source: r-cran-svmisc
+Section: gnu-r
+Priority: optional
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Nilesh Patra <nilesh@debian.org>
-Section: gnu-r
-Testsuite: autopkgtest-pkg-r
-Priority: optional
-Build-Depends: debhelper-compat (= 13),
-               dh-r,
-               r-base-dev
-Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-svmisc
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-svmisc.git
 Homepage: https://cran.r-project.org/package=svMisc
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
+Build-Depends: debhelper-compat (= 13),
+               dh-r,
+               r-base-dev,
+               r-cran-cli (>= 3.6.1),
+               r-cran-rlang (>= 1.1.1)
+Testsuite: autopkgtest-pkg-r
 
 Package: r-cran-svmisc
 Architecture: all

=== debian/tests/control ===
Tests: run-unit-test
Depends: @,
         r-cran-knitr (>= 1.42),
        r-cran-rmarkdown (>= 2.21),
        r-cran-spelling (>= 2.2.1),
        r-cran-testthat (>= 3.0.0)
Restrictions: allow-stderr
